Subject: Re: FVWM: Program crash with "BadAcess"

From: [email-masked]
Date: Fri, 20 Sep 1996 10:57:43 -0500

> From: "Charles Hines" <[email-masked]>
> 31) I try to run some program under FVWM, but it dies with an X11
>     error like BadAccess.  The same program works just fine under MWM
>     or OLWM.  What's going on?
>
> A: The error message usually looks something like this:
>
>         X Error of failed request:  BadAccess (attempt to access private
>         resource denied)
>          Major opcode of failed request:  28 (X_GrabButton)
>          Serial number of failed request:  1595
>          Current serial number in output stream:  1596
>
>    Well, this is generally telling you that there is a conflict in
>    key/button assignments.  In your .fvwm2rc you have bound some
>    key/button that this program really wants to bind to an action, but
>    it can't since FVWM has already done so (but you weren't doing it
>    in the rc file for your previous window manager).  Figure out what
>    the offending key binding is and remove it from your .fvwm2rc, or
>    temporarily via FvwmTalk by removing the FVWM binding (see the man
>    page for the Key & Mouse commands).
>
> ----------------------------------------------------------------------

I have an application which runs great under twm/mwm/fvwm1, but
fails with fvwm2 (2.0.43), Here are the messages on the console:

 X Error of failed request:  BadWindow (invalid Window parameter)
   Major opcode of failed request:  12 (X_ConfigureWindow)
   Resource id in failed request:  0x380000a
   Serial number of failed request:  58
   Current serial number in output stream:  58
 X Error of failed request:  BadWindow (invalid Window parameter)
   Major opcode of failed request:  3 (X_GetWindowAttributes)
   Resource id in failed request:  0x2c00098
   Serial number of failed request:  7054
   Current serial number in output stream:  7055

This is a proprietary application. It is supposed to start in
normal mode (not in iconic mode). On startup, it gives a 
main window and then opens lots of other windows (for example, 
window with some copyright notice, and several tool windows, 
or something like that). Some of those windows exit/abort 
immediately after created, this is normal 'cause some are
intentionally and some dies due to lack of license for
certain tools on the network (license used up by other people).
With twm/mwm/fvwm1, this is ok and I can still have a main
windows with menus left, but with fvwm2, my main windows
then dies immediately.

I tried comment out
#Mouse 3         W       M       RaiseLower
without any luck. 
I don't think if this is a key binding conflict.

Any ideas?

Frank
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].